<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>LastLine (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/lastline.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\LastLine</div>
<a href="../../source/tests/cases/data/testcase-lastline.php.html#line8" class="location">tests/cases/data/testcase-lastline.php at line 8</a>

<h1>Class LastLine</h1>

<pre class="tree"><strong>LastLine</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>LastLine</strong></p>

<div class="comment" id="overview_description"><p>class LastLine</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#lastLineEmptyWithDescription()">lastLineEmptyWithDescription</a>()</p><p class="description">Last line empty, tag with description</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#lastLineEmptyWithoutDescription()">lastLineEmptyWithoutDescription</a>()</p><p class="description">Last line empty, tag without description</p></td>
</tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#lastLineTagWithDescription()">lastLineTagWithDescription</a>()</p><p class="description">Tag in last line, with description</p></td>
</tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#lastLineTagWithoutDescription()">lastLineTagWithoutDescription</a>()</p><p class="description">Tag in last line, without description</p></td>
</tr>
<tr>
<td class="type"> int</td>
<td class="description"><p class="name"><a href="#lastTwoLinesEmptyWithDescription()">lastTwoLinesEmptyWithDescription</a>()</p><p class="description">Last two lines empty, tag with description</p></td>
</tr>
<tr>
<td class="type"> array</td>
<td class="description"><p class="name"><a href="#lastTwoLinesEmptyWithoutDescription()">lastTwoLinesEmptyWithoutDescription</a>()</p><p class="description">Last two lines empty, tag without description</p></td>
</tr>
</table>

<h2 id="detail_method">Method Detail</h2>
<a href="../../source/tests/cases/data/testcase-lastline.php.html#line40" class="location">tests/cases/data/testcase-lastline.php at line 40</a>

<h3 id="lastLineEmptyWithDescription()">lastLineEmptyWithDescription</h3>
<code class="signature">public  int <strong>lastLineEmptyWithDescription</strong>()</code>
<div class="details">
<p>Last line empty, tag with description</p><dl>
<dt>Returns:</dt>
<dd>a return tag followed by an empty line</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-lastline.php.html#line53" class="location">tests/cases/data/testcase-lastline.php at line 53</a>

<h3 id="lastLineEmptyWithoutDescription()">lastLineEmptyWithoutDescription</h3>
<code class="signature">public  bool <strong>lastLineEmptyWithoutDescription</strong>()</code>
<div class="details">
<p>Last line empty, tag without description</p></div>

<hr>

<a href="../../source/tests/cases/data/testcase-lastline.php.html#line15" class="location">tests/cases/data/testcase-lastline.php at line 15</a>

<h3 id="lastLineTagWithDescription()">lastLineTagWithDescription</h3>
<code class="signature">public  int <strong>lastLineTagWithDescription</strong>()</code>
<div class="details">
<p>Tag in last line, with description</p><dl>
<dt>Returns:</dt>
<dd>a return tag on the last line</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-lastline.php.html#line27" class="location">tests/cases/data/testcase-lastline.php at line 27</a>

<h3 id="lastLineTagWithoutDescription()">lastLineTagWithoutDescription</h3>
<code class="signature">public  int <strong>lastLineTagWithoutDescription</strong>()</code>
<div class="details">
<p>Tag in last line, without description</p></div>

<hr>

<a href="../../source/tests/cases/data/testcase-lastline.php.html#line67" class="location">tests/cases/data/testcase-lastline.php at line 67</a>

<h3 id="lastTwoLinesEmptyWithDescription()">lastTwoLinesEmptyWithDescription</h3>
<code class="signature">public  int <strong>lastTwoLinesEmptyWithDescription</strong>()</code>
<div class="details">
<p>Last two lines empty, tag with description</p><dl>
<dt>Returns:</dt>
<dd>a return tag followed by two empty lines</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/cases/data/testcase-lastline.php.html#line81" class="location">tests/cases/data/testcase-lastline.php at line 81</a>

<h3 id="lastTwoLinesEmptyWithoutDescription()">lastTwoLinesEmptyWithoutDescription</h3>
<code class="signature">public  array <strong>lastTwoLinesEmptyWithoutDescription</strong>()</code>
<div class="details">
<p>Last two lines empty, tag without description</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/lastline.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>